#![allow(dead_code, unused_imports)]

use std::{io::{stdin, Read}, str::FromStr};

fn main() {
  let depths = read_depths();
  let mut n = 0;
  let mut prev = 0;
  let mut f: Option<u32> = None;
  let mut p: Option<u32> = None;
  let mut window;
  for &depth in depths.iter() {
    if f == None { f = Some(depth); continue; }
    if p == None { p = f; continue; }
    window = f.unwrap() + p.unwrap() + &depth;
    // update variables that store prior 2 iterations state
    f = p;
    p = Some(depth);
    if prev == 0 {
      println!("{}, (no prior data)", window)
    } else if window > prev {
      n += 1;
      println!("{}, (increased)", window);
    } else if prev > window {
      println!("{}, (decreased)", window)
    } else {
      println!("{}, (no change)", window)
    }
    prev = window;
  }
  println!("number of increases: {}", n);
}

fn read_depths() -> Vec<u32> {
  let mut s = String::new();
  stdin().read_to_string(&mut s).unwrap();
  let result = s
    .lines()
    .map(u32::from_str)
    .collect::<Result<Vec<_>, _>>();
  result.unwrap()
}

#[cfg(test)]
mod tests {
  use super::*;

  #[test]
  fn print_input() {
    read_depths();
  }
}
